<?php

namespace App\Modules\HtlTypeCamp\Application\Update;

use App\Modules\HtlTypeCamp\Domain\HtlTypeCamp;
use App\Modules\HtlTypeCamp\Domain\HtlTypeCampRepository;

final class HtlTypeCampUpdater
{
    public function __construct(private HtlTypeCampRepository $repository)
    {
    }

    public function __invoke(HtlTypeCamp $model)
    {
        return $this->repository->update($model);
    }
}
